Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.math
Class Rank

    java.lang.Object
      baseCode.math.Rank

public class Rank
extends java.lang.Object

Calculate rank statistics for arrays.

Copyright (c) 2004

Institution: Columbia University

Version:
  $Id: Rank.java,v 1.12 2004/12/24 23:16:10 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`Rank()`

Method Summary
`static cern.colt.list.IntArrayList` | `order(cern.colt.list.DoubleArrayList array)` Return a permutation which puts the array in sorted order.
`static cern.colt.list.IntArrayList` | `rankTransform(cern.colt.list.DoubleArrayList array)` Rank transform an array.
`static java.util.Map` | `rankTransform(java.util.Map m)` Rank transform a map, where the values are numerical (java.lang.Double) values we wish to rank.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rank

    public Rank()

Method Detail

### order

    public static cern.colt.list.IntArrayList order(cern.colt.list.DoubleArrayList array)

  Return a permutation which puts the array in sorted order. In other words, the values returned indicate the positions of the sorted values in the current array (the lowest value has the lowest rank, but it could be located anywhere in the array).

  Parameters:
    `array` -
  Returns:

### rankTransform

    public static cern.colt.list.IntArrayList rankTransform(cern.colt.list.DoubleArrayList array)

  Rank transform an array. Ties are not handled specially. The ranks are constructed based on the sort order of the elements. That is, low values get low numbered ranks.

  Parameters:
    `array` - DoubleArrayList
  Returns:
    cern.colt.list.DoubleArrayList

### rankTransform

    public static java.util.Map rankTransform(java.util.Map m)
                                       throws java.lang.IllegalArgumentException

  Rank transform a map, where the values are numerical (java.lang.Double) values we wish to rank. Ties are not handled specially.

  Parameters:
    `m` - java.util.Map with keys Objects, values Doubles.
  Returns:
    A java.util.Map keys=old keys, values=java.lang.Integer rank of the key.
  Throws:
    `java.lang.IllegalArgumentException` - if the input Map does not have Double values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.